#include<iostream>
using namespace std;
long long po(int a,int b)
{
    long long c=1;
    for(int i=0;i<b;i++)
    {
        c=c*a;
    }
    return c;
}
int main()
{
    long long i,j,n;
    cin >> n;
    j=0;
    i=0;
    while(n>0)
    {
        i=0;
        while(n>(po(10,i)))
        {
            i++;
        }
        i--;
        if(n>=(5*po(10,i)))
        {
            n=n-5*po(10,i);
            j++;
        }
        else
        {
            if(n>=(2*po(10,i)))
            {
                n=n-2*po(10,i);
                j++;
            }
            else
            {
                n=n-po(10,i);
                j++;
            }
        }
    }
    cout << j;

}